Skip to content
Proud to collaborate with Microsoft for Startups

argocd.repo-creds.create-write-repository-credentials ​

CreateWriteRepositoryCredentials creates a new repository credential set with write access

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-argocd
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
azureactivedirectoryendpointstringNo——
azureserviceprincipalclientidstringNo——
azureserviceprincipalclientsecretstringNo——
azureserviceprincipaltenantidstringNo——
bearertokenstringNo——
enableocibooleanNo——
forcehttpbasicauthbooleanNo——
gcpserviceaccountkeystringNo——
githubappenterprisebaseurlstringNo——
githubappidintegerNo——
githubappinstallationidintegerNo——
githubappprivatekeystringNo——
insecureociforcehttpbooleanNo—InsecureOCIForceHttp specifies whether the connection to the repository uses TLS at all. If true, no TLS. This flag is applicable for OCI repos only.
noproxystringNo——
passwordstringNo——
proxystringNo——
sshprivatekeystringNo——
tlsclientcertdatastringNo——
tlsclientcertkeystringNo——
typestringNo—Type specifies the type of the repoCreds. Can be either "git", "helm" or "oci". "git" is assumed if empty or absent.
urlstringNo——
useazureworkloadidentitybooleanNo——
usernamestringNo——
upsertbooleanNo—Whether to create in upsert mode.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
azureactivedirectoryendpointstringNo——
azureserviceprincipalclientidstringNo——
azureserviceprincipalclientsecretstringNo——
azureserviceprincipaltenantidstringNo——
bearertokenstringNo——
enableocibooleanNo——
forcehttpbasicauthbooleanNo——
gcpserviceaccountkeystringNo——
githubappenterprisebaseurlstringNo——
githubappidintegerNo——
githubappinstallationidintegerNo——
githubappprivatekeystringNo——
insecureociforcehttpbooleanNo—InsecureOCIForceHttp specifies whether the connection to the repository uses TLS at all. If true, no TLS. This flag is applicable for OCI repos only.
noproxystringNo——
passwordstringNo——
proxystringNo——
sshprivatekeystringNo——
tlsclientcertdatastringNo——
tlsclientcertkeystringNo——
typestringNo—Type specifies the type of the repoCreds. Can be either "git", "helm" or "oci". "git" is assumed if empty or absent.
urlstringNo——
useazureworkloadidentitybooleanNo——
usernamestringNo——
upsertbooleanNo—Whether to create in upsert mode.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /api/v1/write-repocreds
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /api/v1/write-repocreds
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "argocd.repo-creds.create-write-repository-credentials",
  "initial_data": {
    "base_url": "value"
  }
}